import 'package:flutter/material.dart';
import 'package:sport/widgets/misc.dart';

class LabelWidget extends StatelessWidget {
  final String title;

  LabelWidget({@required this.title});

  @override
  Widget build(BuildContext context) {
    return Container(
        padding: EdgeInsets.fromLTRB(12.0, 6.0, 12.0, 6.0),
        child: Row(
          crossAxisAlignment: CrossAxisAlignment.center,
          children: <Widget>[
            Container(
              width: 10,
              height: 10,
              decoration: BoxDecoration(color: Theme.of(context).accentColor, borderRadius: BorderRadius.circular(10)),
            ),

            Padding(
              padding: const EdgeInsets.only(left: 6.0),
              child: Text(title, style: Theme.of(context).textTheme.headline3, strutStyle: fixedLine,),
            ),
          ],
        ));
  }
}
